5.3.0-git
2016-09-28

[#7514] RPC access for guest users
Summary RPC access for guest users
Queue Horde Base
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester almarin (at) um (dot) es
Created 2008-10-16 (2904 days ago)
Due
Updated 2016-06-10 (110 days ago)
Assigned
Resolved
Milestone
Patch No

History
2016-06-10 13:38:22 Michael Rubinsky Comment #10
Version ⇒ Git master
Reply to this comment
Last patch doesn't apply anymore?
Considering it's over 5 years old, that's not surprising.
Is there any method to be able to share an ics (and/or other kind of 
resources) with everyone, authenticated or not (as the UI let think) 
? Didn't find it in the docs, nor in the permissions system?
No, not currently.
I think horde should allow this, as similar systems do.
Agree. That's why this is an open enhancement request. We are looking 
at rewriting the RPC system for Horde 6.
My 2 cts?
2016-06-09 21:57:04 dgeo+horde (at) dgeos (dot) net Comment #9 Reply to this comment
Last patch doesn't apply anymore?

Is there any method to be able to share an ics (and/or other kind of 
resources) with everyone, authenticated or not (as the UI let think) ? 
Didn't find it in the docs, nor in the permissions system?

I think horde should allow this, as similar systems do.

My 2 cts?
2011-12-14 17:48:10 goncalo (dot) queiros (at) portugalmail (dot) net Comment #8
New Attachment: 0001-Major-hack-to-allow-access-to-public-calendars.patch Download
Reply to this comment
Attached is a horrible hack that solves the problem.

I do know you will never accept the patch as is, but other people seem 
to have same issue and for now, they might use this patch.

Once again... horrible patch ;-)
2010-03-12 10:56:08 franke (dot) daniel (at) gmail (dot) com Comment #7 Reply to this comment
I'd like to provide a calendar view on a semi-public terminal using a 
service as http://www.instantcal.com, but even with guest permissions 
set, a password is requested.

Any chance that this gets fixed any time soon?
2010-03-03 23:55:15 v (dot) jousse (at) free (dot) fr Comment #6 Reply to this comment
Hi,

I would be very interested in viewing my Kronolith calendar in google 
calendar.
Can I hope a correction soon ?
2009-08-18 22:38:49 Jan Schneider Patch ⇒ No
 
2008-11-09 23:41:25 Chuck Hagenbuch Deleted Original Message
 
2008-11-06 04:15:45 Chuck Hagenbuch Summary ⇒ RPC access for guest users
 
2008-11-06 04:15:34 Chuck Hagenbuch Comment #5
Version ⇒ HEAD
Queue ⇒ Horde Base
State ⇒ Accepted
Reply to this comment
This needs to be done in the base RPC functionality.
2008-10-20 07:59:54 Jan Schneider Comment #4 Reply to this comment
Yes, this has to be implemented somehow.
2008-10-20 06:40:24 almarin (at) um (dot) es Comment #3 Reply to this comment
So I can guess that you are already thinking to check guest access in 
rpc.php  before ask for authentication, otherways rpc.php won't 
provide exactly the same functionality as ics.php does.




2008-10-19 22:29:10 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
I was sure we already had a ticket for this, but I can't find it.

Anyway, ics.php is going away, since it provides duplicate 
functionality to rpc.php, so this patch won't help.
2008-10-16 09:12:01 almarin (at) um (dot) es Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ iCalendar access for guest users
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ Yes
New Attachment: calendar_info.php.patch
Reply to this comment
When WebDAV is active, the subscription URL is the RPC based one. The 
problem here is that rpc.php allways check for users credentials, so 
there is no way to access an iCalendar url (.ics) even if you give 
guest permissions for it.



I see two solutions for that:

- rpc.php should check Guest Permission before ask for authentication

- Give the ics.php based url like "Guest URL".



The second one is faster to implement, but maybe the desirable one 
should be the fist.



As a quick patch, calendar_info.php could check for guest permissions 
and offer the ics.php based url. I attach a patch to show you the idea.